"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ava_1 = __importDefault(require("ava"));
const axios_1 = __importDefault(require("axios"));
const __1 = require("../");
const helpers_1 = require("./helpers");
ava_1.default.before(() => {
    (0, __1.wrapper)(axios_1.default);
});
ava_1.default.serial('should receive response correctly without cookiejar', async (t) => {
    const { port } = await (0, helpers_1.createTestServer)([
        (_req, res) => {
            res.end('Hello World!');
        },
    ]);
    const { data, status } = await axios_1.default.get(`http://localhost:${port}`, { responseType: 'text' });
    t.is(status, 200);
    t.is(data, 'Hello World!');
    t.plan(2);
});
